Skip to main content
POST
/
api
/
v1
/
notes
/
{id}
/
tags
Add a tag to a note (creates the tag if it does not exist).
curl --request POST \
  --url https://api.backside.app/api/v1/notes/{id}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "name": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "color": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Note ID

Body

application/json
name
string
required

Response

201 - application/json
created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
name
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
color
string | null
description
string | null